Upgrade to 3.1.1 Fails

When doing an automatic upgrade, I get this: Downloading update from http://wordpress.org/wordpress-3.1.1.zip… Unpacking the update… Could not create directory.: /public_html Installation Failed All my wp files are in /public_html and the directory already exists. The FTP user I am logging in as owns all the WordPress files, so it cannot be a chmod problem. Is … Read more

Debug errors for “Destination directory for file streaming does not exist or is not writable”

I’m system administrator, and quite befuddled as I find way to make a debug to know why error message you receive one of my users when trying to update their plugins. Server Apache 2.4 PHP 5.5.32 PHP in mode SuPHP (webserer run php how user process) WordPress 4.4.2 Directories (all on wordpress, are writeable por … Read more

DISABLE wordpress upgrade page

For security purpose I want to Disable the adresse below: …../upgrade.php It’s give informations about the version of wordpress used. Answer You can actually do this on the web host without actually any PHP code. Using the same procedure as is recommended to deny access to wp-config.php, you can also deny access to upgrade.php. All … Read more

Can’t upgrade themes or plugins after upgrading WordPress to 4.4

I just upgraded a site to WordPress version 4.4, and now whenever I try to upgrade any plugin or theme I get a message like this: An error occurred while updating <plugin/theme name>: Could not create directory. <plugin/theme directory> I have set the permission on the wp-content directory (and even all subdirectories) to 777, but … Read more